Subject: Re: bug#78474: 31.0.50; Wrong char insertion in rxvt

From: Samuel Thibault <[email-masked]>
Date: Mon, 21 Jul 2025 17:47:37 +0200

Eli Zaretskii, le lun. 21 juil. 2025 18:43:19 +0300, a ecrit:
> > Eli Zaretskii, le lun. 21 juil. 2025 18:12:25 +0300, a ecrit:
> > > > Date: Mon, 21 Jul 2025 16:35:05 +0200
> > > > From: Seb Hinderer <[email-masked]>
> > > > Cc: [email-masked], [email-masked], [email-masked],
> > > > 	[email-masked]
> > > > 
> > > > This leads me to the suggestion that the configuration where tab is not
> > > > used is the one enabled by default, leaving the configuraitn burden to
> > > > those to whom performance matters enough for them to care.
> > > 
> > > I see where you're coming from, but IMO such a change can only fly if
> > > we enabled this new behavior when some screen-reading software is in
> > > use.  And that requires some means for Emacs to detect this.  If
> > > someone knows how to do that on Posix systems, please speak up.
> > 
> > That does not exist in terminals, only in graphical sessions
> 
> How come?  Screen readers should announce themselves quite prominently
> to any system, so I'd be very surprised to hear that they are
> invisible on Linux terminals.

They really are, since they just read the content from /dev/vcsa.

Samul